﻿.index-banner-box{
    width: 100%;
    display: block;
    position: relative;
    overflow: hidden;
}
.index-banner-box,
.index-banner-list,
.index-video-box,
.index-video,
.index-video-bg{
     height: 100vh;
}
.index-banner-list-box{
    width: 100%;
    display: block;
    position: relative;
    
}
.index-banner-list{
    width: 100%;
    display: block;
     position: relative;
}
.index-banner-list span{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.index-banner{
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

.index-banner-slong,
.index-video-slong{
    width: 100%;
    text-align: center;
    font-size: 9.1vw;
    letter-spacing: 0.08em;
    color: #FFF;
    display: block;
    z-index: 9;
    cursor: context-menu;
    font-family: 'Roboto';
    font-weight: 900;
}

.index-banner-slong-company-name,
.index-video-slong-company-name{
    width: 100%;
    text-align: center;
    font-size: 5.1vw;
    letter-spacing: 0.08em;
    color: #FFF;
    display: block;
    z-index: 9;
    cursor: context-menu;
    font-family: 'Roboto';
    font-weight: 900;
}

.index-banner-slong-company-address
{
    width: 100%;
    text-align: center;
    font-size: 3.1vw;
    letter-spacing: 0.08em;
    color: #FFF;
    display: block;
    z-index: 9;
    cursor: context-menu;
    font-family: 'Roboto';
    font-weight: 900;
}

.index-video-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #000;
    opacity: 0.4;
    z-index: 5;
}
.index-video-box{
    width: 100%;
    display: block;
    position: relative;
}
.index-video{
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 5;
    display: block;
}

.index-video-bg{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}

.index-banner-slong-box{
    width: 105%;
    height: 100%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
    position: absolute;
    top: 0;
    left: -2.3vw;
    z-index: 5;
    pointer-events: none;
    text-align: center;
}
.index-video-open{
    display: none;
}
.not-banner{
    display: none;
}

.index-banner-scroll-box{
    display: block;
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    text-align: center;
}
.index-banner-scroll-box a{
    display: inline-block;
    font-size: 0;
}
.index-banner-scroll-line{
    display: inline-block;
    vertical-align: top;
    width: 1px;
    height: 100px;
    background-color: #fff;
    margin-left: 22px;
    position: relative;
    transition: all .3s linear;
}
.index-banner-scroll-line::before{
    content: '';
    width: 10px;
    height: 1px;
    background-color: #28a2af;
    position: absolute;
    bottom: 40px;
    left: 1px;
    transform-origin: 0% 50%;
    transform: rotateZ(-90deg);
    opacity: 0;
    transition: all .3s linear;
}
.index-banner-scroll-line::after{
    content: '';
    width: 10px;
    height: 1px;
    background-color: #28a2af;
    position: absolute;
    bottom: 40px;
    right: 1px;
    transform-origin: 100% 50%;
    transform: rotateZ(90deg);
    opacity: 0;
    transition: all .3s linear;
}
.index-banner-scroll-text{
    display: inline-block;
    vertical-align: top;
    -webkit-writing-mode: vertical-lr;
    writing-mode: vertical-lr;
}
.index-banner-scroll-text p{
    font-size: 14px;
    color: #fff;
    letter-spacing: 0.06em;
    font-family: 'Roboto';
    font-weight: 300;
    display: inline-block;
    vertical-align: middle;
    transition: all .3s linear;
}
.index-banner-scroll-text span{
    display: inline-block;
    vertical-align: middle;
    width: 9px;
    height: 18px;
    border: 1px solid #fff;
    border-radius: 7px;
    margin-top: 10px;
    position: relative;
    transition: all .3s linear;
}
.index-banner-scroll-text span::before{
    content: '';
    width: 2px;
    height: 2px;
    display: block;
    position: absolute;
    top: 2px;
    left: 3.5px;
    background-color: #fff;
    transition: all .3s linear;
}




@media only screen and (max-width: 1000px){
    .index-banner-box, 
    .index-banner-list, 
    .index-video-box, 
    .index-video, 
    .index-video-bg {
        height: 600px;
    }
    .index-banner-scroll-box{
        display: none;
    }
}
@media only screen and (max-width: 550px){
    .index-banner-box, 
    .index-banner-list, 
    .index-video-box, 
    .index-video, 
    .index-video-bg {
        height: 300px;
    }
}

.index-banner-scroll-box a:hover .index-banner-scroll-line{
    background-color: #28a2af;
}
.index-banner-scroll-box a:hover .index-banner-scroll-line::before{
    transform: rotateZ(-45deg);
    bottom: 0px;
    opacity: 1;
}
.index-banner-scroll-box a:hover .index-banner-scroll-line::after{
    transform: rotateZ(45deg);
    bottom: 0px;
    opacity: 1;
}
.index-banner-scroll-box a:hover .index-banner-scroll-text p{
    color: #28a2af;
}
.index-banner-scroll-box a:hover .index-banner-scroll-text span{
    border-color: #28a2af;
}
.index-banner-scroll-box a:hover .index-banner-scroll-text span:before{
    background-color: #28a2af;
}